/*
   name:     OOo-Xinterfaces.rex
   purpose:  define the list of OOo interface classes
   author:   ---rgf
   created:  20050421 15:20:39
   usage:    just require file, then call the routine "OOo.getInterfaceList" to retrieve the list
*/

::ROUTINE OOo.getInterfaceList PUBLIC

   l=.list~of( -
		"com.sun.star.accessibility.XAccessible"                                   , -
		"com.sun.star.accessibility.XAccessibleAction"                             , -
		"com.sun.star.accessibility.XAccessibleComponent"                          , -
		"com.sun.star.accessibility.XAccessibleContext"                            , -
		"com.sun.star.accessibility.XAccessibleEditableText"                       , -
		"com.sun.star.accessibility.XAccessibleEventBroadcaster"                   , -
		"com.sun.star.accessibility.XAccessibleEventListener"                      , -
		"com.sun.star.accessibility.XAccessibleExtendedComponent"                  , -
		"com.sun.star.accessibility.XAccessibleHyperlink"                          , -
		"com.sun.star.accessibility.XAccessibleHypertext"                          , -
		"com.sun.star.accessibility.XAccessibleImage"                              , -
		"com.sun.star.accessibility.XAccessibleKeyBinding"                         , -
		"com.sun.star.accessibility.XAccessibleRelationSet"                        , -
		"com.sun.star.accessibility.XAccessibleSelection"                          , -
		"com.sun.star.accessibility.XAccessibleStateSet"                           , -
		"com.sun.star.accessibility.XAccessibleTable"                              , -
		"com.sun.star.accessibility.XAccessibleText"                               , -
		"com.sun.star.accessibility.XAccessibleValue"                              , -
		"com.sun.star.awt.XActionListener"                                         , -
		"com.sun.star.awt.XActivateListener"                                       , -
		"com.sun.star.awt.XAdjustmentListener"                                     , -
		"com.sun.star.awt.XBitmap"                                                 , -
		"com.sun.star.awt.XButton"                                                 , -
		"com.sun.star.awt.XCheckBox"                                               , -
		"com.sun.star.awt.XComboBox"                                               , -
		"com.sun.star.awt.XControl"                                                , -
		"com.sun.star.awt.XControlContainer"                                       , -
		"com.sun.star.awt.XControlModel"                                           , -
		"com.sun.star.awt.XCurrencyField"                                          , -
		"com.sun.star.awt.XDataTransferProviderAccess"                             , -
		"com.sun.star.awt.XDateField"                                              , -
		"com.sun.star.awt.XDevice"                                                 , -
		"com.sun.star.awt.XDialog"                                                 , -
		"com.sun.star.awt.XDisplayBitmap"                                          , -
		"com.sun.star.awt.XDisplayConnection"                                      , -
		"com.sun.star.awt.XEventHandler"                                           , -
		"com.sun.star.awt.XExtendedToolkit"                                        , -
		"com.sun.star.awt.XFileDialog"                                             , -
		"com.sun.star.awt.XFixedText"                                              , -
		"com.sun.star.awt.XFocusListener"                                          , -
		"com.sun.star.awt.XFont"                                                   , -
		"com.sun.star.awt.XGraphics"                                               , -
		"com.sun.star.awt.XImageButton"                                            , -
		"com.sun.star.awt.XImageConsumer"                                          , -
		"com.sun.star.awt.XImageProducer"                                          , -
		"com.sun.star.awt.XInfoPrinter"                                            , -
		"com.sun.star.awt.XItemListener"                                           , -
		"com.sun.star.awt.XKeyHandler"                                             , -
		"com.sun.star.awt.XKeyListener"                                            , -
		"com.sun.star.awt.XLayoutConstrains"                                       , -
		"com.sun.star.awt.XListBox"                                                , -
		"com.sun.star.awt.XMenu"                                                   , -
		"com.sun.star.awt.XMenuBar"                                                , -
		"com.sun.star.awt.XMenuListener"                                           , -
		"com.sun.star.awt.XMessageBox"                                             , -
		"com.sun.star.awt.XMouseClickHandler"                                      , -
		"com.sun.star.awt.XMouseListener"                                          , -
		"com.sun.star.awt.XMouseMotionListener"                                    , -
		"com.sun.star.awt.XNumericField"                                           , -
		"com.sun.star.awt.XPaintListener"                                          , -
		"com.sun.star.awt.XPatternField"                                           , -
		"com.sun.star.awt.XPointer"                                                , -
		"com.sun.star.awt.XPopupMenu"                                              , -
		"com.sun.star.awt.XPrinter"                                                , -
		"com.sun.star.awt.XPrinterPropertySet"                                     , -
		"com.sun.star.awt.XPrinterServer"                                          , -
		"com.sun.star.awt.XProgressBar"                                            , -
		"com.sun.star.awt.XProgressMonitor"                                        , -
		"com.sun.star.awt.XRadioButton"                                            , -
		"com.sun.star.awt.XRegion"                                                 , -
		"com.sun.star.awt.XScrollBar"                                              , -
		"com.sun.star.awt.XSpinField"                                              , -
		"com.sun.star.awt.XSpinListener"                                           , -
		"com.sun.star.awt.XSystemChildFactory"                                     , -
		"com.sun.star.awt.XSystemDependentWindowPeer"                              , -
		"com.sun.star.awt.XTabController"                                          , -
		"com.sun.star.awt.XTabControllerModel"                                     , -
		"com.sun.star.awt.XTextArea"                                               , -
		"com.sun.star.awt.XTextComponent"                                          , -
		"com.sun.star.awt.XTextEditField"                                          , -
		"com.sun.star.awt.XTextLayoutConstrains"                                   , -
		"com.sun.star.awt.XTextListener"                                           , -
		"com.sun.star.awt.XTimeField"                                              , -
		"com.sun.star.awt.XToolkit"                                                , -
		"com.sun.star.awt.XTopWindow"                                              , -
		"com.sun.star.awt.XTopWindowListener"                                      , -
		"com.sun.star.awt.XUnoControlContainer"                                    , -
		"com.sun.star.awt.XUserInputInterception"                                  , -
		"com.sun.star.awt.XVclContainer"                                           , -
		"com.sun.star.awt.XVclContainerListener"                                   , -
		"com.sun.star.awt.XVclContainerPeer"                                       , -
		"com.sun.star.awt.XVclWindowPeer"                                          , -
		"com.sun.star.awt.XView"                                                   , -
		"com.sun.star.awt.XWindow"                                                 , -
		"com.sun.star.awt.XWindowListener"                                         , -
		"com.sun.star.awt.XWindowPeer"                                             , -
		"com.sun.star.beans.XExactName"                                            , -
		"com.sun.star.beans.XFastPropertySet"                                      , -
		"com.sun.star.beans.XHierarchicalPropertySet"                              , -
		"com.sun.star.beans.XHierarchicalPropertySetInfo"                          , -
		"com.sun.star.beans.XIntroTest"                                            , -
		"com.sun.star.beans.XIntrospection"                                        , -
		"com.sun.star.beans.XIntrospectionAccess"                                  , -
		"com.sun.star.beans.XMaterialHolder"                                       , -
		"com.sun.star.beans.XMultiHierarchicalPropertySet"                         , -
		"com.sun.star.beans.XMultiPropertySet"                                     , -
		"com.sun.star.beans.XMultiPropertyStates"                                  , -
		"com.sun.star.beans.XPropertiesChangeListener"                             , -
		"com.sun.star.beans.XPropertiesChangeNotifier"                             , -
		"com.sun.star.beans.XProperty"                                             , -
		"com.sun.star.beans.XPropertyAccess"                                       , -
		"com.sun.star.beans.XPropertyChangeListener"                               , -
		"com.sun.star.beans.XPropertyContainer"                                    , -
		"com.sun.star.beans.XPropertySet"                                          , -
		"com.sun.star.beans.XPropertySetInfo"                                      , -
		"com.sun.star.beans.XPropertySetInfoChangeListener"                        , -
		"com.sun.star.beans.XPropertySetInfoChangeNotifier"                        , -
		"com.sun.star.beans.XPropertyState"                                        , -
		"com.sun.star.beans.XPropertyStateChangeListener"                          , -
		"com.sun.star.beans.XPropertyWithState"                                    , -
		"com.sun.star.beans.XVetoableChangeListener"                               , -
		"com.sun.star.bridge.XBridge"                                              , -
		"com.sun.star.bridge.XBridgeFactory"                                       , -
		"com.sun.star.bridge.XBridgeSupplier"                                      , -
		"com.sun.star.bridge.XBridgeSupplier2"                                     , -
		"com.sun.star.bridge.XInstanceProvider"                                    , -
		"com.sun.star.bridge.XProtocolProperties"                                  , -
		"com.sun.star.bridge.XUnoUrlResolver"                                      , -
		"com.sun.star.bridge.oleautomation.XAutomationObject"                      , -
		"com.sun.star.chart.X3DDisplay"                                            , -
		"com.sun.star.chart.XAxisXSupplier"                                        , -
		"com.sun.star.chart.XAxisYSupplier"                                        , -
		"com.sun.star.chart.XAxisZSupplier"                                        , -
		"com.sun.star.chart.XChartData"                                            , -
		"com.sun.star.chart.XChartDataArray"                                       , -
		"com.sun.star.chart.XChartDataChangeEventListener"                         , -
		"com.sun.star.chart.XChartDocument"                                        , -
		"com.sun.star.chart.XDiagram"                                              , -
		"com.sun.star.chart.XStatisticDisplay"                                     , -
		"com.sun.star.chart.XTwoAxisXSupplier"                                     , -
		"com.sun.star.chart.XTwoAxisYSupplier"                                     , -
		"com.sun.star.comp.typedescriptionmanager.XInterfaceTD"                    , -
		"com.sun.star.configuration.XTemplateContainer"                            , -
		"com.sun.star.configuration.XTemplateInstance"                             , -
		"com.sun.star.configuration.backend.XBackend"                              , -
		"com.sun.star.configuration.backend.XBackendChangesListener"               , -
		"com.sun.star.configuration.backend.XBackendChangesNotifier"               , -
		"com.sun.star.configuration.backend.XBackendEntities"                      , -
		"com.sun.star.configuration.backend.XCompositeLayer"                       , -
		"com.sun.star.configuration.backend.XLayer"                                , -
		"com.sun.star.configuration.backend.XLayerHandler"                         , -
		"com.sun.star.configuration.backend.XLayerImporter"                        , -
		"com.sun.star.configuration.backend.XMultiLayerStratum"                    , -
		"com.sun.star.configuration.backend.XSchema"                               , -
		"com.sun.star.configuration.backend.XSchemaHandler"                        , -
		"com.sun.star.configuration.backend.XSchemaSupplier"                       , -
		"com.sun.star.configuration.backend.XSingleLayerStratum"                   , -
		"com.sun.star.configuration.backend.XUpdatableLayer"                       , -
		"com.sun.star.configuration.backend.XUpdateHandler"                        , -
		"com.sun.star.connection.XAcceptor"                                        , -
		"com.sun.star.connection.XConnection"                                      , -
		"com.sun.star.connection.XConnection2"                                     , -
		"com.sun.star.connection.XConnectionBroadcaster"                           , -
		"com.sun.star.connection.XConnector"                                       , -
		"com.sun.star.container.XChild"                                            , -
		"com.sun.star.container.XComponentEnumeration"                             , -
		"com.sun.star.container.XComponentEnumerationAccess"                       , -
		"com.sun.star.container.XContainer"                                        , -
		"com.sun.star.container.XContainerListener"                                , -
		"com.sun.star.container.XContainerQuery"                                   , -
		"com.sun.star.container.XContentEnumerationAccess"                         , -
		"com.sun.star.container.XElementAccess"                                    , -
		"com.sun.star.container.XEnumeration"                                      , -
		"com.sun.star.container.XEnumerationAccess"                                , -
		"com.sun.star.container.XHierarchicalName"                                 , -
		"com.sun.star.container.XHierarchicalNameAccess"                           , -
		"com.sun.star.container.XHierarchicalNameContainer"                        , -
		"com.sun.star.container.XHierarchicalNameReplace"                          , -
		"com.sun.star.container.XIdentifierAccess"                                 , -
		"com.sun.star.container.XIdentifierContainer"                              , -
		"com.sun.star.container.XIdentifierReplace"                                , -
		"com.sun.star.container.XImplicitIDAccess"                                 , -
		"com.sun.star.container.XImplicitIDContainer"                              , -
		"com.sun.star.container.XImplicitIDReplace"                                , -
		"com.sun.star.container.XIndexAccess"                                      , -
		"com.sun.star.container.XIndexContainer"                                   , -
		"com.sun.star.container.XIndexReplace"                                     , -
		"com.sun.star.container.XNameAccess"                                       , -
		"com.sun.star.container.XNameContainer"                                    , -
		"com.sun.star.container.XNameReplace"                                      , -
		"com.sun.star.container.XNamed"                                            , -
		"com.sun.star.container.XSet"                                              , -
		"com.sun.star.container.XUniqueIDAccess"                                   , -
		"com.sun.star.datatransfer.XDataFormatTranslator"                          , -
		"com.sun.star.datatransfer.XMimeContentType"                               , -
		"com.sun.star.datatransfer.XMimeContentTypeFactory"                        , -
		"com.sun.star.datatransfer.XSystemTransferable"                            , -
		"com.sun.star.datatransfer.XTransferDataAccess"                            , -
		"com.sun.star.datatransfer.XTransferable"                                  , -
		"com.sun.star.datatransfer.XTransferableEx"                                , -
		"com.sun.star.datatransfer.XTransferableSource"                            , -
		"com.sun.star.datatransfer.clipboard.XClipboard"                           , -
		"com.sun.star.datatransfer.clipboard.XClipboardEx"                         , -
		"com.sun.star.datatransfer.clipboard.XClipboardFactory"                    , -
		"com.sun.star.datatransfer.clipboard.XClipboardListener"                   , -
		"com.sun.star.datatransfer.clipboard.XClipboardManager"                    , -
		"com.sun.star.datatransfer.clipboard.XClipboardNotifier"                   , -
		"com.sun.star.datatransfer.clipboard.XClipboardOwner"                      , -
		"com.sun.star.datatransfer.clipboard.XFlushableClipboard"                  , -
		"com.sun.star.datatransfer.dnd.XAutoscroll"                                , -
		"com.sun.star.datatransfer.dnd.XDragGestureListener"                       , -
		"com.sun.star.datatransfer.dnd.XDragGestureRecognizer"                     , -
		"com.sun.star.datatransfer.dnd.XDragSource"                                , -
		"com.sun.star.datatransfer.dnd.XDragSourceContext"                         , -
		"com.sun.star.datatransfer.dnd.XDragSourceListener"                        , -
		"com.sun.star.datatransfer.dnd.XDropTarget"                                , -
		"com.sun.star.datatransfer.dnd.XDropTargetDragContext"                     , -
		"com.sun.star.datatransfer.dnd.XDropTargetDropContext"                     , -
		"com.sun.star.datatransfer.dnd.XDropTargetListener"                        , -
		"com.sun.star.document.XActionLockable"                                    , -
		"com.sun.star.document.XBinaryStreamResolver"                              , -
		"com.sun.star.document.XDocumentInfo"                                      , -
		"com.sun.star.document.XDocumentInfoSupplier"                              , -
		"com.sun.star.document.XDocumentInsertable"                                , -
		"com.sun.star.document.XEmbeddedObjectResolver"                            , -
		"com.sun.star.document.XEmbeddedObjectSupplier"                            , -
		"com.sun.star.document.XEventBroadcaster"                                  , -
		"com.sun.star.document.XEventListener"                                     , -
		"com.sun.star.document.XEventsSupplier"                                    , -
		"com.sun.star.document.XExporter"                                          , -
		"com.sun.star.document.XExtendedFilterDetection"                           , -
		"com.sun.star.document.XFilter"                                            , -
		"com.sun.star.document.XFilterAdapter"                                     , -
		"com.sun.star.document.XGraphicObjectResolver"                             , -
		"com.sun.star.document.XImporter"                                          , -
		"com.sun.star.document.XInteractionFilterOptions"                          , -
		"com.sun.star.document.XInteractionFilterSelect"                           , -
		"com.sun.star.document.XLinkTargetSupplier"                                , -
		"com.sun.star.document.XMimeTypeInfo"                                      , -
		"com.sun.star.document.XRedlinesSupplier"                                  , -
		"com.sun.star.document.XStandaloneDocumentInfo"                            , -
		"com.sun.star.document.XTypeDetection"                                     , -
		"com.sun.star.document.XViewDataSupplier"                                  , -
		"com.sun.star.drawing.XConnectableShape"                                   , -
		"com.sun.star.drawing.XConnectorShape"                                     , -
		"com.sun.star.drawing.XControlShape"                                       , -
		"com.sun.star.drawing.XDrawPage"                                           , -
		"com.sun.star.drawing.XDrawPageDuplicator"                                 , -
		"com.sun.star.drawing.XDrawPageExpander"                                   , -
		"com.sun.star.drawing.XDrawPageSummarizer"                                 , -
		"com.sun.star.drawing.XDrawPageSupplier"                                   , -
		"com.sun.star.drawing.XDrawPages"                                          , -
		"com.sun.star.drawing.XDrawPagesSupplier"                                  , -
		"com.sun.star.drawing.XDrawView"                                           , -
		"com.sun.star.drawing.XGluePointsSupplier"                                 , -
/* ---> [com.sun.star.drawing.XLayer]: class name [XLayer] in use already! (com.sun.star.configuration.backend.XLayer) */ -
		"com.sun.star.drawing.XLayer"                                              , -
		"com.sun.star.drawing.XLayerManager"                                       , -
		"com.sun.star.drawing.XLayerSupplier"                                      , -
		"com.sun.star.drawing.XMasterPageTarget"                                   , -
		"com.sun.star.drawing.XMasterPagesSupplier"                                , -
		"com.sun.star.drawing.XShape"                                              , -
		"com.sun.star.drawing.XShapeAligner"                                       , -
		"com.sun.star.drawing.XShapeArranger"                                      , -
		"com.sun.star.drawing.XShapeBinder"                                        , -
		"com.sun.star.drawing.XShapeCombiner"                                      , -
		"com.sun.star.drawing.XShapeDescriptor"                                    , -
		"com.sun.star.drawing.XShapeGroup"                                         , -
		"com.sun.star.drawing.XShapeGrouper"                                       , -
		"com.sun.star.drawing.XShapeMirror"                                        , -
		"com.sun.star.drawing.XShapes"                                             , -
		"com.sun.star.drawing.XUniversalShapeDescriptor"                           , -
		"com.sun.star.form.XApproveActionBroadcaster"                              , -
		"com.sun.star.form.XApproveActionListener"                                 , -
		"com.sun.star.form.XBoundComponent"                                        , -
		"com.sun.star.form.XBoundControl"                                          , -
		"com.sun.star.form.XChangeBroadcaster"                                     , -
		"com.sun.star.form.XChangeListener"                                        , -
		"com.sun.star.form.XConfirmDeleteBroadcaster"                              , -
		"com.sun.star.form.XConfirmDeleteListener"                                 , -
		"com.sun.star.form.XDatabaseParameterBroadcaster"                          , -
		"com.sun.star.form.XDatabaseParameterListener"                             , -
		"com.sun.star.form.XDeleteListener"                                        , -
		"com.sun.star.form.XErrorBroadcaster"                                      , -
		"com.sun.star.form.XErrorListener"                                         , -
		"com.sun.star.form.XForm"                                                  , -
		"com.sun.star.form.XFormComponent"                                         , -
		"com.sun.star.form.XFormController"                                        , -
		"com.sun.star.form.XFormControllerListener"                                , -
		"com.sun.star.form.XFormsSupplier"                                         , -
		"com.sun.star.form.XGrid"                                                  , -
		"com.sun.star.form.XGridColumnFactory"                                     , -
		"com.sun.star.form.XGridFieldDataSupplier"                                 , -
		"com.sun.star.form.XGridPeer"                                              , -
		"com.sun.star.form.XImageProducerSupplier"                                 , -
		"com.sun.star.form.XInsertListener"                                        , -
		"com.sun.star.form.XLoadListener"                                          , -
		"com.sun.star.form.XLoadable"                                              , -
		"com.sun.star.form.XPositioningListener"                                   , -
		"com.sun.star.form.XReset"                                                 , -
		"com.sun.star.form.XResetListener"                                         , -
		"com.sun.star.form.XRestoreListener"                                       , -
		"com.sun.star.form.XSubmit"                                                , -
		"com.sun.star.form.XSubmitListener"                                        , -
		"com.sun.star.form.XUpdateBroadcaster"                                     , -
		"com.sun.star.form.XUpdateListener"                                        , -
		"com.sun.star.frame.XBrowseHistoryRegistry"                                , -
		"com.sun.star.frame.XComponentLoader"                                      , -
		"com.sun.star.frame.XComponentRegistry"                                    , -
		"com.sun.star.frame.XConfigManager"                                        , -
		"com.sun.star.frame.XController"                                           , -
		"com.sun.star.frame.XDesktop"                                              , -
		"com.sun.star.frame.XDesktopTask"                                          , -
		"com.sun.star.frame.XDispatch"                                             , -
		"com.sun.star.frame.XDispatchHelper"                                       , -
		"com.sun.star.frame.XDispatchProvider"                                     , -
		"com.sun.star.frame.XDispatchProviderInterception"                         , -
		"com.sun.star.frame.XDispatchProviderInterceptor"                          , -
		"com.sun.star.frame.XDispatchRecorder"                                     , -
		"com.sun.star.frame.XDispatchRecorderSupplier"                             , -
		"com.sun.star.frame.XDispatchResultListener"                               , -
		"com.sun.star.frame.XDocumentTemplates"                                    , -
/* ---> [com.sun.star.frame.XExtendedFilterDetection]: class name [XExtendedFilterDetection] in use already! (com.sun.star.document.XExtendedFilterDetection) */ -
		"com.sun.star.frame.XExtendedFilterDetection"                              , -
		"com.sun.star.frame.XFilterDetect"                                         , -
		"com.sun.star.frame.XFrame"                                                , -
		"com.sun.star.frame.XFrameActionListener"                                  , -
		"com.sun.star.frame.XFrameLoader"                                          , -
		"com.sun.star.frame.XFrameLoaderQuery"                                     , -
		"com.sun.star.frame.XFrameSetModel"                                        , -
		"com.sun.star.frame.XFrames"                                               , -
		"com.sun.star.frame.XFramesSupplier"                                       , -
		"com.sun.star.frame.XInterceptorInfo"                                      , -
		"com.sun.star.frame.XLoadEventListener"                                    , -
/* ---> [com.sun.star.frame.XLoadable]: class name [XLoadable] in use already! (com.sun.star.form.XLoadable) */ -
		"com.sun.star.frame.XLoadable"                                             , -
		"com.sun.star.frame.XModel"                                                , -
		"com.sun.star.frame.XNotifyingDispatch"                                    , -
		"com.sun.star.frame.XRecordableDispatch"                                   , -
		"com.sun.star.frame.XSessionManagerClient"                                 , -
		"com.sun.star.frame.XSessionManagerListener"                               , -
		"com.sun.star.frame.XStatusListener"                                       , -
		"com.sun.star.frame.XStorable"                                             , -
		"com.sun.star.frame.XSynchronousDispatch"                                  , -
		"com.sun.star.frame.XSynchronousFrameLoader"                               , -
		"com.sun.star.frame.XTask"                                                 , -
		"com.sun.star.frame.XTasksSupplier"                                        , -
		"com.sun.star.frame.XTerminateListener"                                    , -
		"com.sun.star.frame.XUrlList"                                              , -
		"com.sun.star.frame.XWindowArranger"                                       , -
		"com.sun.star.i18n.XBreakIterator"                                         , -
		"com.sun.star.i18n.XCalendar"                                              , -
		"com.sun.star.i18n.XCharacterClassification"                               , -
		"com.sun.star.i18n.XCollator"                                              , -
		"com.sun.star.i18n.XExtendedCalendar"                                      , -
		"com.sun.star.i18n.XExtendedIndexEntrySupplier"                            , -
		"com.sun.star.i18n.XExtendedTransliteration"                               , -
		"com.sun.star.i18n.XForbiddenCharacters"                                   , -
		"com.sun.star.i18n.XIndexEntrySupplier"                                    , -
		"com.sun.star.i18n.XInputSequenceChecker"                                  , -
		"com.sun.star.i18n.XLocaleData"                                            , -
		"com.sun.star.i18n.XNativeNumberSupplier"                                  , -
		"com.sun.star.i18n.XNumberFormatCode"                                      , -
		"com.sun.star.i18n.XScriptTypeDetector"                                    , -
		"com.sun.star.i18n.XTextConversion"                                        , -
		"com.sun.star.i18n.XTransliteration"                                       , -
		"com.sun.star.installation.XInstallationCheck"                             , -
		"com.sun.star.installation.XProtocolHandlerCheck"                          , -
		"com.sun.star.io.XActiveDataControl"                                       , -
		"com.sun.star.io.XActiveDataSink"                                          , -
		"com.sun.star.io.XActiveDataSource"                                        , -
		"com.sun.star.io.XActiveDataStreamer"                                      , -
		"com.sun.star.io.XConnectable"                                             , -
		"com.sun.star.io.XDataExporter"                                            , -
		"com.sun.star.io.XDataImporter"                                            , -
		"com.sun.star.io.XDataInputStream"                                         , -
		"com.sun.star.io.XDataOutputStream"                                        , -
		"com.sun.star.io.XDataTransferEventListener"                               , -
		"com.sun.star.io.XInputStream"                                             , -
		"com.sun.star.io.XInputStreamProvider"                                     , -
		"com.sun.star.io.XMarkableStream"                                          , -
		"com.sun.star.io.XObjectInputStream"                                       , -
		"com.sun.star.io.XObjectOutputStream"                                      , -
		"com.sun.star.io.XOutputStream"                                            , -
		"com.sun.star.io.XPersist"                                                 , -
		"com.sun.star.io.XPersistObject"                                           , -
		"com.sun.star.io.XSeekable"                                                , -
		"com.sun.star.io.XStream"                                                  , -
		"com.sun.star.io.XStreamListener"                                          , -
		"com.sun.star.io.XTextInputStream"                                         , -
		"com.sun.star.io.XTextOutputStream"                                        , -
		"com.sun.star.io.XTruncate"                                                , -
		"com.sun.star.io.XXMLExtractor"                                            , -
		"com.sun.star.java.XJavaThreadRegister_11"                                 , -
		"com.sun.star.java.XJavaVM"                                                , -
		"com.sun.star.lang.XComponent"                                             , -
		"com.sun.star.lang.XConnectionPoint"                                       , -
		"com.sun.star.lang.XConnectionPointContainer"                              , -
/* ---> [com.sun.star.lang.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ -
		"com.sun.star.lang.XEventListener"                                         , -
		"com.sun.star.lang.XInitialization"                                        , -
		"com.sun.star.lang.XLocalizable"                                           , -
		"com.sun.star.lang.XMain"                                                  , -
		"com.sun.star.lang.XMultiComponentFactory"                                 , -
		"com.sun.star.lang.XMultiServiceFactory"                                   , -
		"com.sun.star.lang.XServiceDisplayName"                                    , -
		"com.sun.star.lang.XServiceInfo"                                           , -
		"com.sun.star.lang.XServiceName"                                           , -
		"com.sun.star.lang.XSingleComponentFactory"                                , -
		"com.sun.star.lang.XSingleServiceFactory"                                  , -
		"com.sun.star.lang.XTypeProvider"                                          , -
		"com.sun.star.lang.XUnoTunnel"                                             , -
		"com.sun.star.lib.sandbox.XImage"                                          , -
		"com.sun.star.lib.uno.adapter.XInputStreamToInputStreamAdapter"            , -
		"com.sun.star.lib.uno.adapter.XOutputStreamToOutputStreamAdapter"          , -
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionInputStream_Adapter"  , -
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionOutputStream_Adapter" , -
		"com.sun.star.linguistic2.XAvailableLocales"                               , -
		"com.sun.star.linguistic2.XConversionDictionary"                           , -
		"com.sun.star.linguistic2.XConversionDictionaryList"                       , -
		"com.sun.star.linguistic2.XDictionary"                                     , -
		"com.sun.star.linguistic2.XDictionary1"                                    , -
		"com.sun.star.linguistic2.XDictionaryEntry"                                , -
		"com.sun.star.linguistic2.XDictionaryEventListener"                        , -
		"com.sun.star.linguistic2.XDictionaryList"                                 , -
		"com.sun.star.linguistic2.XDictionaryListEventListener"                    , -
		"com.sun.star.linguistic2.XHyphenatedWord"                                 , -
		"com.sun.star.linguistic2.XHyphenator"                                     , -
		"com.sun.star.linguistic2.XLinguServiceEventBroadcaster"                   , -
		"com.sun.star.linguistic2.XLinguServiceEventListener"                      , -
		"com.sun.star.linguistic2.XLinguServiceManager"                            , -
		"com.sun.star.linguistic2.XMeaning"                                        , -
		"com.sun.star.linguistic2.XPossibleHyphens"                                , -
		"com.sun.star.linguistic2.XSearchableDictionaryList"                       , -
		"com.sun.star.linguistic2.XSpellAlternatives"                              , -
		"com.sun.star.linguistic2.XSpellChecker"                                   , -
		"com.sun.star.linguistic2.XSpellChecker1"                                  , -
		"com.sun.star.linguistic2.XSupportedLanguages"                             , -
		"com.sun.star.linguistic2.XSupportedLocales"                               , -
		"com.sun.star.linguistic2.XThesaurus"                                      , -
		"com.sun.star.loader.XImplementationLoader"                                , -
		"com.sun.star.mozilla.XCloseSessionListener"                               , -
		"com.sun.star.mozilla.XMenuProxy"                                          , -
		"com.sun.star.mozilla.XMenuProxyListener"                                  , -
		"com.sun.star.mozilla.XPluginInstance"                                     , -
		"com.sun.star.mozilla.XPluginInstanceNotifySink"                           , -
		"com.sun.star.mozilla.XPluginInstancePeer"                                 , -
		"com.sun.star.mozilla.XPluginInstanceSyncPeer"                             , -
		"com.sun.star.mozilla.XPluginWindowPeer"                                   , -
		"com.sun.star.mozilla.XRemoteServiceManagerProvider"                       , -
		"com.sun.star.packages.manifest.XManifestReader"                           , -
		"com.sun.star.packages.manifest.XManifestWriter"                           , -
		"com.sun.star.plugin.XPlugin"                                              , -
		"com.sun.star.plugin.XPluginContext"                                       , -
		"com.sun.star.plugin.XPluginManager"                                       , -
		"com.sun.star.presentation.XCustomPresentationSupplier"                    , -
		"com.sun.star.presentation.XHandoutMasterSupplier"                         , -
		"com.sun.star.presentation.XPresentation"                                  , -
		"com.sun.star.presentation.XPresentationPage"                              , -
		"com.sun.star.presentation.XPresentationSupplier"                          , -
		"com.sun.star.reflection.XArrayTypeDescription"                            , -
		"com.sun.star.reflection.XCompoundTypeDescription"                         , -
		"com.sun.star.reflection.XConstantTypeDescription"                         , -
		"com.sun.star.reflection.XConstantsTypeDescription"                        , -
		"com.sun.star.reflection.XEnumTypeDescription"                             , -
		"com.sun.star.reflection.XIdlArray"                                        , -
		"com.sun.star.reflection.XIdlClass"                                        , -
		"com.sun.star.reflection.XIdlClassProvider"                                , -
		"com.sun.star.reflection.XIdlField"                                        , -
		"com.sun.star.reflection.XIdlField2"                                       , -
		"com.sun.star.reflection.XIdlMember"                                       , -
		"com.sun.star.reflection.XIdlMethod"                                       , -
		"com.sun.star.reflection.XIdlReflection"                                   , -
		"com.sun.star.reflection.XIndirectTypeDescription"                         , -
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription"               , -
		"com.sun.star.reflection.XInterfaceMemberTypeDescription"                  , -
		"com.sun.star.reflection.XInterfaceMethodTypeDescription"                  , -
		"com.sun.star.reflection.XInterfaceTypeDescription"                        , -
		"com.sun.star.reflection.XMethodParameter"                                 , -
		"com.sun.star.reflection.XModuleTypeDescription"                           , -
		"com.sun.star.reflection.XPropertyTypeDescription"                         , -
		"com.sun.star.reflection.XProxyFactory"                                    , -
		"com.sun.star.reflection.XServiceTypeDescription"                          , -
		"com.sun.star.reflection.XSingletonTypeDescription"                        , -
		"com.sun.star.reflection.XTypeDescription"                                 , -
		"com.sun.star.reflection.XTypeDescriptionEnumeration"                      , -
		"com.sun.star.reflection.XTypeDescriptionEnumerationAccess"                , -
		"com.sun.star.reflection.XUnionTypeDescription"                            , -
		"com.sun.star.registry.XImplementationRegistration"                        , -
		"com.sun.star.registry.XRegistryKey"                                       , -
		"com.sun.star.registry.XSimpleRegistry"                                    , -
		"com.sun.star.resource.XLocale"                                            , -
		"com.sun.star.resource.XResourceBundle"                                    , -
		"com.sun.star.resource.XResourceBundleLoader"                              , -
		"com.sun.star.scanner.XScannerManager"                                     , -
		"com.sun.star.script.XAllListener"                                         , -
		"com.sun.star.script.XAllListenerAdapterService"                           , -
		"com.sun.star.script.XDebugging"                                           , -
		"com.sun.star.script.XEngine"                                              , -
		"com.sun.star.script.XEngineListener"                                      , -
		"com.sun.star.script.XEventAttacher"                                       , -
		"com.sun.star.script.XEventAttacherManager"                                , -
		"com.sun.star.script.XInvocation"                                          , -
		"com.sun.star.script.XInvocation2"                                         , -
		"com.sun.star.script.XInvocationAdapterFactory"                            , -
		"com.sun.star.script.XInvocationAdapterFactory2"                           , -
		"com.sun.star.script.XLibraryAccess"                                       , -
		"com.sun.star.script.XLibraryContainer"                                    , -
		"com.sun.star.script.XLibraryContainer2"                                   , -
		"com.sun.star.script.XLibraryContainerPassword"                            , -
		"com.sun.star.script.XScriptEventsAttacher"                                , -
		"com.sun.star.script.XScriptEventsSupplier"                                , -
		"com.sun.star.script.XScriptListener"                                      , -
		"com.sun.star.script.XStarBasicAccess"                                     , -
		"com.sun.star.script.XStarBasicDialogInfo"                                 , -
		"com.sun.star.script.XStarBasicLibraryInfo"                                , -
		"com.sun.star.script.XStarBasicModuleInfo"                                 , -
		"com.sun.star.script.XTypeConverter"                                       , -
		"com.sun.star.sdb.XAlterQuery"                                             , -
		"com.sun.star.sdb.XBookmarksSupplier"                                      , -
		"com.sun.star.sdb.XColumn"                                                 , -
		"com.sun.star.sdb.XColumnUpdate"                                           , -
		"com.sun.star.sdb.XCommandPreparation"                                     , -
		"com.sun.star.sdb.XCompletedConnection"                                    , -
		"com.sun.star.sdb.XCompletedExecution"                                     , -
		"com.sun.star.sdb.XDatabaseAccess"                                         , -
		"com.sun.star.sdb.XDatabaseAccessListener"                                 , -
		"com.sun.star.sdb.XDatabaseEnvironment"                                    , -
		"com.sun.star.sdb.XFormDocumentsSupplier"                                  , -
		"com.sun.star.sdb.XInteractionSupplyParameters"                            , -
		"com.sun.star.sdb.XParametersSupplier"                                     , -
		"com.sun.star.sdb.XQueriesSupplier"                                        , -
		"com.sun.star.sdb.XQueryDefinitionsSupplier"                               , -
		"com.sun.star.sdb.XReportDocumentsSupplier"                                , -
		"com.sun.star.sdb.XResultSetAccess"                                        , -
		"com.sun.star.sdb.XRowSetApproveBroadcaster"                               , -
		"com.sun.star.sdb.XRowSetApproveListener"                                  , -
		"com.sun.star.sdb.XRowSetSupplier"                                         , -
		"com.sun.star.sdb.XSQLErrorBroadcaster"                                    , -
		"com.sun.star.sdb.XSQLErrorListener"                                       , -
		"com.sun.star.sdb.XSQLQueryComposer"                                       , -
		"com.sun.star.sdb.XSQLQueryComposerFactory"                                , -
		"com.sun.star.sdbc.XArray"                                                 , -
		"com.sun.star.sdbc.XBatchExecution"                                        , -
		"com.sun.star.sdbc.XBlob"                                                  , -
		"com.sun.star.sdbc.XClob"                                                  , -
		"com.sun.star.sdbc.XCloseable"                                             , -
		"com.sun.star.sdbc.XColumnLocate"                                          , -
/* ---> [com.sun.star.sdbc.XConnection]: class name [XConnection] in use already! (com.sun.star.connection.XConnection) */ -
		"com.sun.star.sdbc.XConnection"                                            , -
		"com.sun.star.sdbc.XDataSource"                                            , -
		"com.sun.star.sdbc.XDatabaseMetaData"                                      , -
		"com.sun.star.sdbc.XDriver"                                                , -
		"com.sun.star.sdbc.XDriverAccess"                                          , -
		"com.sun.star.sdbc.XDriverManager"                                         , -
		"com.sun.star.sdbc.XGeneratedResultSet"                                    , -
		"com.sun.star.sdbc.XIsolatedConnection"                                    , -
		"com.sun.star.sdbc.XMultipleResults"                                       , -
		"com.sun.star.sdbc.XOutParameters"                                         , -
		"com.sun.star.sdbc.XParameters"                                            , -
		"com.sun.star.sdbc.XPooledConnection"                                      , -
		"com.sun.star.sdbc.XPreparedBatchExecution"                                , -
		"com.sun.star.sdbc.XPreparedStatement"                                     , -
		"com.sun.star.sdbc.XRef"                                                   , -
		"com.sun.star.sdbc.XResultSet"                                             , -
		"com.sun.star.sdbc.XResultSetMetaData"                                     , -
		"com.sun.star.sdbc.XResultSetMetaDataSupplier"                             , -
		"com.sun.star.sdbc.XResultSetUpdate"                                       , -
		"com.sun.star.sdbc.XRow"                                                   , -
		"com.sun.star.sdbc.XRowSet"                                                , -
		"com.sun.star.sdbc.XRowSetListener"                                        , -
		"com.sun.star.sdbc.XRowUpdate"                                             , -
		"com.sun.star.sdbc.XSQLData"                                               , -
		"com.sun.star.sdbc.XSQLInput"                                              , -
		"com.sun.star.sdbc.XSQLOutput"                                             , -
		"com.sun.star.sdbc.XStatement"                                             , -
		"com.sun.star.sdbc.XStruct"                                                , -
		"com.sun.star.sdbc.XWarningsSupplier"                                      , -
		"com.sun.star.sdbcx.XAlterTable"                                           , -
		"com.sun.star.sdbcx.XAppend"                                               , -
		"com.sun.star.sdbcx.XAuthorizable"                                         , -
		"com.sun.star.sdbcx.XColumnsSupplier"                                      , -
		"com.sun.star.sdbcx.XCreateCatalog"                                        , -
		"com.sun.star.sdbcx.XDataDefinitionSupplier"                               , -
		"com.sun.star.sdbcx.XDataDescriptorFactory"                                , -
		"com.sun.star.sdbcx.XDeleteRows"                                           , -
		"com.sun.star.sdbcx.XDrop"                                                 , -
		"com.sun.star.sdbcx.XDropCatalog"                                          , -
		"com.sun.star.sdbcx.XGroupsSupplier"                                       , -
		"com.sun.star.sdbcx.XIndexesSupplier"                                      , -
		"com.sun.star.sdbcx.XKeysSupplier"                                         , -
		"com.sun.star.sdbcx.XRename"                                               , -
		"com.sun.star.sdbcx.XRowLocate"                                            , -
		"com.sun.star.sdbcx.XTablesSupplier"                                       , -
		"com.sun.star.sdbcx.XUser"                                                 , -
		"com.sun.star.sdbcx.XUsersSupplier"                                        , -
		"com.sun.star.sdbcx.XViewsSupplier"                                        , -
		"com.sun.star.security.XAccessControlContext"                              , -
		"com.sun.star.security.XAccessController"                                  , -
		"com.sun.star.security.XAction"                                            , -
		"com.sun.star.security.XPolicy"                                            , -
		"com.sun.star.setup.XSetup"                                                , -
		"com.sun.star.sheet.XAddIn"                                                , -
		"com.sun.star.sheet.XAreaLink"                                             , -
		"com.sun.star.sheet.XAreaLinks"                                            , -
		"com.sun.star.sheet.XArrayFormulaRange"                                    , -
		"com.sun.star.sheet.XCalculatable"                                         , -
		"com.sun.star.sheet.XCellAddressable"                                      , -
		"com.sun.star.sheet.XCellFormatRangesSupplier"                             , -
		"com.sun.star.sheet.XCellRangeAddressable"                                 , -
		"com.sun.star.sheet.XCellRangeData"                                        , -
		"com.sun.star.sheet.XCellRangeFormula"                                     , -
		"com.sun.star.sheet.XCellRangeMovement"                                    , -
		"com.sun.star.sheet.XCellRangeReferrer"                                    , -
		"com.sun.star.sheet.XCellRangesQuery"                                      , -
		"com.sun.star.sheet.XCellSeries"                                           , -
		"com.sun.star.sheet.XCompatibilityNames"                                   , -
		"com.sun.star.sheet.XConsolidatable"                                       , -
		"com.sun.star.sheet.XConsolidationDescriptor"                              , -
		"com.sun.star.sheet.XDDELink"                                              , -
		"com.sun.star.sheet.XDataPilotDescriptor"                                  , -
		"com.sun.star.sheet.XDataPilotMemberResults"                               , -
		"com.sun.star.sheet.XDataPilotResults"                                     , -
		"com.sun.star.sheet.XDataPilotTable"                                       , -
		"com.sun.star.sheet.XDataPilotTables"                                      , -
		"com.sun.star.sheet.XDataPilotTablesSupplier"                              , -
		"com.sun.star.sheet.XDatabaseRange"                                        , -
		"com.sun.star.sheet.XDatabaseRanges"                                       , -
		"com.sun.star.sheet.XDimensionsSupplier"                                   , -
		"com.sun.star.sheet.XDocumentAuditing"                                     , -
		"com.sun.star.sheet.XFillAcrossSheet"                                      , -
		"com.sun.star.sheet.XFormulaQuery"                                         , -
		"com.sun.star.sheet.XFunctionAccess"                                       , -
		"com.sun.star.sheet.XFunctionDescriptions"                                 , -
		"com.sun.star.sheet.XGoalSeek"                                             , -
		"com.sun.star.sheet.XHeaderFooterContent"                                  , -
		"com.sun.star.sheet.XHierarchiesSupplier"                                  , -
		"com.sun.star.sheet.XLabelRange"                                           , -
		"com.sun.star.sheet.XLabelRanges"                                          , -
		"com.sun.star.sheet.XLevelsSupplier"                                       , -
		"com.sun.star.sheet.XMembersSupplier"                                      , -
		"com.sun.star.sheet.XMultipleOperation"                                    , -
		"com.sun.star.sheet.XNamedRange"                                           , -
		"com.sun.star.sheet.XNamedRanges"                                          , -
		"com.sun.star.sheet.XPrintAreas"                                           , -
		"com.sun.star.sheet.XRangeSelection"                                       , -
		"com.sun.star.sheet.XRangeSelectionChangeListener"                         , -
		"com.sun.star.sheet.XRangeSelectionListener"                               , -
		"com.sun.star.sheet.XRecentFunctions"                                      , -
		"com.sun.star.sheet.XResultListener"                                       , -
		"com.sun.star.sheet.XScenario"                                             , -
		"com.sun.star.sheet.XScenarios"                                            , -
		"com.sun.star.sheet.XScenariosSupplier"                                    , -
		"com.sun.star.sheet.XSheetAnnotation"                                      , -
		"com.sun.star.sheet.XSheetAnnotationAnchor"                                , -
		"com.sun.star.sheet.XSheetAnnotations"                                     , -
		"com.sun.star.sheet.XSheetAnnotationsSupplier"                             , -
		"com.sun.star.sheet.XSheetAuditing"                                        , -
		"com.sun.star.sheet.XSheetCellCursor"                                      , -
		"com.sun.star.sheet.XSheetCellRange"                                       , -
		"com.sun.star.sheet.XSheetCellRangeContainer"                              , -
		"com.sun.star.sheet.XSheetCellRanges"                                      , -
		"com.sun.star.sheet.XSheetCondition"                                       , -
		"com.sun.star.sheet.XSheetConditionalEntries"                              , -
		"com.sun.star.sheet.XSheetConditionalEntry"                                , -
		"com.sun.star.sheet.XSheetFilterDescriptor"                                , -
		"com.sun.star.sheet.XSheetFilterable"                                      , -
		"com.sun.star.sheet.XSheetFilterableEx"                                    , -
		"com.sun.star.sheet.XSheetLinkable"                                        , -
		"com.sun.star.sheet.XSheetOperation"                                       , -
		"com.sun.star.sheet.XSheetOutline"                                         , -
		"com.sun.star.sheet.XSheetPageBreak"                                       , -
		"com.sun.star.sheet.XSheetPastable"                                        , -
		"com.sun.star.sheet.XSpreadsheet"                                          , -
		"com.sun.star.sheet.XSpreadsheetDocument"                                  , -
		"com.sun.star.sheet.XSpreadsheetView"                                      , -
		"com.sun.star.sheet.XSpreadsheets"                                         , -
		"com.sun.star.sheet.XSubTotalCalculatable"                                 , -
		"com.sun.star.sheet.XSubTotalDescriptor"                                   , -
		"com.sun.star.sheet.XSubTotalField"                                        , -
		"com.sun.star.sheet.XUniqueCellFormatRangesSupplier"                       , -
		"com.sun.star.sheet.XUsedAreaCursor"                                       , -
		"com.sun.star.sheet.XViewFreezable"                                        , -
		"com.sun.star.sheet.XViewPane"                                             , -
		"com.sun.star.sheet.XViewPanesSupplier"                                    , -
		"com.sun.star.sheet.XViewSplitable"                                        , -
		"com.sun.star.sheet.XVolatileResult"                                       , -
		"com.sun.star.style.XDefaultsSupplier"                                     , -
		"com.sun.star.style.XStyle"                                                , -
		"com.sun.star.style.XStyleCondition"                                       , -
		"com.sun.star.style.XStyleFamiliesSupplier"                                , -
		"com.sun.star.style.XStyleLoader"                                          , -
		"com.sun.star.svg.XSVGPrinter"                                             , -
		"com.sun.star.svg.XSVGWriter"                                              , -
		"com.sun.star.sync.XSyncCollector"                                         , -
		"com.sun.star.sync.XSynchronizer"                                          , -
		"com.sun.star.system.XProxySettings"                                       , -
		"com.sun.star.system.XSimpleMailClient"                                    , -
		"com.sun.star.system.XSimpleMailClientSupplier"                            , -
		"com.sun.star.system.XSimpleMailMessage"                                   , -
		"com.sun.star.system.XSystemShellExecute"                                  , -
		"com.sun.star.table.XAutoFormattable"                                      , -
		"com.sun.star.table.XCell"                                                 , -
		"com.sun.star.table.XCellCursor"                                           , -
		"com.sun.star.table.XCellRange"                                            , -
		"com.sun.star.table.XColumnRowRange"                                       , -
		"com.sun.star.table.XTableChart"                                           , -
		"com.sun.star.table.XTableCharts"                                          , -
		"com.sun.star.table.XTableChartsSupplier"                                  , -
		"com.sun.star.table.XTableColumns"                                         , -
		"com.sun.star.table.XTableRows"                                            , -
		"com.sun.star.task.XAsyncJob"                                              , -
		"com.sun.star.task.XInteractionAbort"                                      , -
		"com.sun.star.task.XInteractionApprove"                                    , -
		"com.sun.star.task.XInteractionContinuation"                               , -
		"com.sun.star.task.XInteractionDisapprove"                                 , -
		"com.sun.star.task.XInteractionHandler"                                    , -
		"com.sun.star.task.XInteractionPassword"                                   , -
		"com.sun.star.task.XInteractionRequest"                                    , -
		"com.sun.star.task.XInteractionRetry"                                      , -
		"com.sun.star.task.XJob"                                                   , -
		"com.sun.star.task.XJobExecutor"                                           , -
		"com.sun.star.task.XJobListener"                                           , -
		"com.sun.star.task.XPasswordContainer"                                     , -
		"com.sun.star.task.XStatusIndicator"                                       , -
		"com.sun.star.task.XStatusIndicatorFactory"                                , -
		"com.sun.star.task.XStatusIndicatorSupplier"                               , -
		"com.sun.star.test.XSimpleTest"                                            , -
		"com.sun.star.test.XTest"                                                  , -
		"com.sun.star.test.XTestListener"                                          , -
		"com.sun.star.test.bridge.XBridgeTest"                                     , -
		"com.sun.star.test.bridge.XBridgeTestBase"                                 , -
		"com.sun.star.test.bridge.XRecursiveCall"                                  , -
		"com.sun.star.test.performance.XPerformanceTest"                           , -
		"com.sun.star.text.XAutoTextContainer"                                     , -
		"com.sun.star.text.XAutoTextEntry"                                         , -
		"com.sun.star.text.XAutoTextGroup"                                         , -
		"com.sun.star.text.XBookmarkInsertTool"                                    , -
/* ---> [com.sun.star.text.XBookmarksSupplier]: class name [XBookmarksSupplier] in use already! (com.sun.star.sdb.XBookmarksSupplier) */ -
		"com.sun.star.text.XBookmarksSupplier"                                     , -
		"com.sun.star.text.XChapterNumberingSupplier"                              , -
		"com.sun.star.text.XDefaultNumberingProvider"                              , -
		"com.sun.star.text.XDependentTextField"                                    , -
		"com.sun.star.text.XDocumentIndex"                                         , -
		"com.sun.star.text.XDocumentIndexMark"                                     , -
		"com.sun.star.text.XDocumentIndexesSupplier"                               , -
		"com.sun.star.text.XEndnotesSettingsSupplier"                              , -
		"com.sun.star.text.XEndnotesSupplier"                                      , -
		"com.sun.star.text.XFootnote"                                              , -
		"com.sun.star.text.XFootnotesSettingsSupplier"                             , -
		"com.sun.star.text.XFootnotesSupplier"                                     , -
		"com.sun.star.text.XHeaderFooter"                                          , -
		"com.sun.star.text.XHeaderFooterPageStyle"                                 , -
		"com.sun.star.text.XLineNumberingProperties"                               , -
		"com.sun.star.text.XLineNumberingSupplier"                                 , -
		"com.sun.star.text.XMailMergeBroadcaster"                                  , -
		"com.sun.star.text.XMailMergeListener"                                     , -
		"com.sun.star.text.XModule"                                                , -
		"com.sun.star.text.XNumberingFormatter"                                    , -
		"com.sun.star.text.XNumberingRulesSupplier"                                , -
		"com.sun.star.text.XNumberingTypeInfo"                                     , -
		"com.sun.star.text.XPageCursor"                                            , -
		"com.sun.star.text.XPagePrintable"                                         , -
		"com.sun.star.text.XParagraphCursor"                                       , -
		"com.sun.star.text.XReferenceMarksSupplier"                                , -
		"com.sun.star.text.XRelativeTextContentInsert"                             , -
		"com.sun.star.text.XRelativeTextContentRemove"                             , -
		"com.sun.star.text.XRubySelection"                                         , -
		"com.sun.star.text.XSentenceCursor"                                        , -
		"com.sun.star.text.XSimpleText"                                            , -
		"com.sun.star.text.XText"                                                  , -
		"com.sun.star.text.XTextColumns"                                           , -
		"com.sun.star.text.XTextContent"                                           , -
		"com.sun.star.text.XTextCursor"                                            , -
		"com.sun.star.text.XTextDocument"                                          , -
		"com.sun.star.text.XTextEmbeddedObject"                                    , -
		"com.sun.star.text.XTextEmbeddedObjectsSupplier"                           , -
		"com.sun.star.text.XTextField"                                             , -
		"com.sun.star.text.XTextFieldsSupplier"                                    , -
		"com.sun.star.text.XTextFrame"                                             , -
		"com.sun.star.text.XTextFramesSupplier"                                    , -
		"com.sun.star.text.XTextGraphicObjectsSupplier"                            , -
		"com.sun.star.text.XTextRange"                                             , -
		"com.sun.star.text.XTextRangeCompare"                                      , -
		"com.sun.star.text.XTextRangeMover"                                        , -
		"com.sun.star.text.XTextSection"                                           , -
		"com.sun.star.text.XTextSectionsSupplier"                                  , -
		"com.sun.star.text.XTextShapesSupplier"                                    , -
		"com.sun.star.text.XTextTable"                                             , -
		"com.sun.star.text.XTextTableCursor"                                       , -
		"com.sun.star.text.XTextTablesSupplier"                                    , -
		"com.sun.star.text.XTextViewCursor"                                        , -
		"com.sun.star.text.XTextViewCursorSupplier"                                , -
		"com.sun.star.text.XWordCursor"                                            , -
		"com.sun.star.ucb.XAnyCompare"                                             , -
		"com.sun.star.ucb.XAnyCompareFactory"                                      , -
		"com.sun.star.ucb.XCachedContentResultSetFactory"                          , -
		"com.sun.star.ucb.XCachedContentResultSetStubFactory"                      , -
		"com.sun.star.ucb.XCachedDynamicResultSetFactory"                          , -
		"com.sun.star.ucb.XCachedDynamicResultSetStubFactory"                      , -
		"com.sun.star.ucb.XCommandEnvironment"                                     , -
		"com.sun.star.ucb.XCommandInfo"                                            , -
		"com.sun.star.ucb.XCommandInfoChangeListener"                              , -
		"com.sun.star.ucb.XCommandInfoChangeNotifier"                              , -
		"com.sun.star.ucb.XCommandProcessor"                                       , -
		"com.sun.star.ucb.XCommandProcessor2"                                      , -
		"com.sun.star.ucb.XContent"                                                , -
		"com.sun.star.ucb.XContentAccess"                                          , -
		"com.sun.star.ucb.XContentCreator"                                         , -
		"com.sun.star.ucb.XContentEventListener"                                   , -
		"com.sun.star.ucb.XContentIdentifier"                                      , -
		"com.sun.star.ucb.XContentIdentifierFactory"                               , -
		"com.sun.star.ucb.XContentIdentifierMapping"                               , -
		"com.sun.star.ucb.XContentProvider"                                        , -
		"com.sun.star.ucb.XContentProviderFactory"                                 , -
		"com.sun.star.ucb.XContentProviderManager"                                 , -
		"com.sun.star.ucb.XContentProviderSupplier"                                , -
		"com.sun.star.ucb.XContentTransmitter"                                     , -
		"com.sun.star.ucb.XDataContainer"                                          , -
		"com.sun.star.ucb.XDynamicResultSet"                                       , -
		"com.sun.star.ucb.XDynamicResultSetListener"                               , -
		"com.sun.star.ucb.XFetchProvider"                                          , -
		"com.sun.star.ucb.XFetchProviderForContentAccess"                          , -
		"com.sun.star.ucb.XFileIdentifierConverter"                                , -
		"com.sun.star.ucb.XInteractionCookieHandling"                              , -
		"com.sun.star.ucb.XInteractionHandlerSupplier"                             , -
		"com.sun.star.ucb.XInteractionReplaceExistingData"                         , -
		"com.sun.star.ucb.XInteractionSupplyAuthentication"                        , -
		"com.sun.star.ucb.XInteractionSupplyName"                                  , -
		"com.sun.star.ucb.XParameterizedContentProvider"                           , -
		"com.sun.star.ucb.XPersistentPropertySet"                                  , -
		"com.sun.star.ucb.XProgressHandler"                                        , -
		"com.sun.star.ucb.XPropertyMatcher"                                        , -
		"com.sun.star.ucb.XPropertyMatcherFactory"                                 , -
		"com.sun.star.ucb.XPropertySetRegistry"                                    , -
		"com.sun.star.ucb.XPropertySetRegistryFactory"                             , -
		"com.sun.star.ucb.XRecycler"                                               , -
		"com.sun.star.ucb.XRemoteContentProviderAcceptor"                          , -
		"com.sun.star.ucb.XRemoteContentProviderActivator"                         , -
		"com.sun.star.ucb.XRemoteContentProviderChangeListener"                    , -
		"com.sun.star.ucb.XRemoteContentProviderChangeNotifier"                    , -
		"com.sun.star.ucb.XRemoteContentProviderConnectionControl"                 , -
		"com.sun.star.ucb.XRemoteContentProviderDistributor"                       , -
		"com.sun.star.ucb.XRemoteContentProviderDoneListener"                      , -
		"com.sun.star.ucb.XRemoteContentProviderSupplier"                          , -
		"com.sun.star.ucb.XSimpleFileAccess"                                       , -
		"com.sun.star.ucb.XSimpleFileAccess2"                                      , -
		"com.sun.star.ucb.XSimpleFileAccess3"                                      , -
		"com.sun.star.ucb.XSortedDynamicResultSetFactory"                          , -
		"com.sun.star.ucb.XSourceInitialization"                                   , -
		"com.sun.star.ui.XContextMenuInterception"                                 , -
		"com.sun.star.ui.XContextMenuInterceptor"                                  , -
		"com.sun.star.ui.dialogs.XControlAccess"                                   , -
		"com.sun.star.ui.dialogs.XControlInformation"                              , -
		"com.sun.star.ui.dialogs.XExecutableDialog"                                , -
		"com.sun.star.ui.dialogs.XFilePicker"                                      , -
		"com.sun.star.ui.dialogs.XFilePickerControlAccess"                         , -
		"com.sun.star.ui.dialogs.XFilePickerListener"                              , -
		"com.sun.star.ui.dialogs.XFilePickerNotifier"                              , -
		"com.sun.star.ui.dialogs.XFilePreview"                                     , -
		"com.sun.star.ui.dialogs.XFilterGroupManager"                              , -
		"com.sun.star.ui.dialogs.XFilterManager"                                   , -
		"com.sun.star.ui.dialogs.XFolderPicker"                                    , -
		"com.sun.star.uno.XAdapter"                                                , -
		"com.sun.star.uno.XAggregation"                                            , -
		"com.sun.star.uno.XComponentContext"                                       , -
		"com.sun.star.uno.XCurrentContext"                                         , -
		"com.sun.star.uno.XInterface"                                              , -
		"com.sun.star.uno.XNamingService"                                          , -
		"com.sun.star.uno.XReference"                                              , -
		"com.sun.star.uno.XWeak"                                                   , -
		"com.sun.star.util.XArchiver"                                              , -
		"com.sun.star.util.XAtomServer"                                            , -
		"com.sun.star.util.XCancelManager"                                         , -
		"com.sun.star.util.XCancellable"                                           , -
		"com.sun.star.util.XChainable"                                             , -
		"com.sun.star.util.XChangesBatch"                                          , -
		"com.sun.star.util.XChangesListener"                                       , -
		"com.sun.star.util.XChangesNotifier"                                       , -
		"com.sun.star.util.XChangesSet"                                            , -
		"com.sun.star.util.XCloneable"                                             , -
		"com.sun.star.util.XCloseBroadcaster"                                      , -
		"com.sun.star.util.XCloseListener"                                         , -
/* ---> [com.sun.star.util.XCloseable]: class name [XCloseable] in use already! (com.sun.star.sdbc.XCloseable) */ -
		"com.sun.star.util.XCloseable"                                             , -
		"com.sun.star.util.XDataEditor"                                            , -
		"com.sun.star.util.XDataEditorListener"                                    , -
		"com.sun.star.util.XFlushListener"                                         , -
		"com.sun.star.util.XFlushable"                                             , -
		"com.sun.star.util.XImportable"                                            , -
		"com.sun.star.util.XIndent"                                                , -
		"com.sun.star.util.XLinkUpdate"                                            , -
		"com.sun.star.util.XLocalizedAliases"                                      , -
		"com.sun.star.util.XMacroExpander"                                         , -
		"com.sun.star.util.XMergeable"                                             , -
		"com.sun.star.util.XModeChangeApproveListener"                             , -
		"com.sun.star.util.XModeChangeBroadcaster"                                 , -
		"com.sun.star.util.XModeChangeListener"                                    , -
		"com.sun.star.util.XModeSelector"                                          , -
		"com.sun.star.util.XModifiable"                                            , -
		"com.sun.star.util.XModifyBroadcaster"                                     , -
		"com.sun.star.util.XModifyListener"                                        , -
		"com.sun.star.util.XNumberFormatPreviewer"                                 , -
		"com.sun.star.util.XNumberFormatTypes"                                     , -
		"com.sun.star.util.XNumberFormats"                                         , -
		"com.sun.star.util.XNumberFormatsSupplier"                                 , -
		"com.sun.star.util.XNumberFormatter"                                       , -
		"com.sun.star.util.XPropertyReplace"                                       , -
		"com.sun.star.util.XProtectable"                                           , -
		"com.sun.star.util.XRefreshListener"                                       , -
		"com.sun.star.util.XRefreshable"                                           , -
		"com.sun.star.util.XReplaceDescriptor"                                     , -
		"com.sun.star.util.XReplaceable"                                           , -
		"com.sun.star.util.XSearchDescriptor"                                      , -
		"com.sun.star.util.XSearchable"                                            , -
		"com.sun.star.util.XSimpleErrorHandler"                                    , -
		"com.sun.star.util.XSortable"                                              , -
		"com.sun.star.util.XStringAbbreviation"                                    , -
		"com.sun.star.util.XStringEscape"                                          , -
		"com.sun.star.util.XStringMapping"                                         , -
		"com.sun.star.util.XStringSubstitution"                                    , -
		"com.sun.star.util.XStringWidth"                                           , -
		"com.sun.star.util.XTextSearch"                                            , -
		"com.sun.star.util.XTimeStamped"                                           , -
		"com.sun.star.util.XURLTransformer"                                        , -
		"com.sun.star.util.XUniqueIDFactory"                                       , -
		"com.sun.star.util.XUpdatable"                                             , -
		"com.sun.star.util.logging.XLogger"                                        , -
		"com.sun.star.util.logging.XLoggerRemote"                                  , -
/* ---> [com.sun.star.view.XControlAccess]: class name [XControlAccess] in use already! (com.sun.star.ui.dialogs.XControlAccess) */ -
		"com.sun.star.view.XControlAccess"                                         , -
		"com.sun.star.view.XLineCursor"                                            , -
		"com.sun.star.view.XPrintJob"                                              , -
		"com.sun.star.view.XPrintJobBroadcaster"                                   , -
		"com.sun.star.view.XPrintJobListener"                                      , -
		"com.sun.star.view.XPrintPreview"                                          , -
		"com.sun.star.view.XPrintSettingsSupplier"                                 , -
		"com.sun.star.view.XPrintable"                                             , -
		"com.sun.star.view.XPrintableBroadcaster"                                  , -
		"com.sun.star.view.XPrintableListener"                                     , -
		"com.sun.star.view.XRenderable"                                            , -
		"com.sun.star.view.XScreenCursor"                                          , -
		"com.sun.star.view.XSelectionChangeListener"                               , -
		"com.sun.star.view.XSelectionSupplier"                                     , -
		"com.sun.star.view.XViewCursor"                                            , -
		"com.sun.star.view.XViewSettingsSupplier"                                  , -
		"com.sun.star.xml.XExportFilter"                                           , -
		"com.sun.star.xml.XImportFilter"                                           , -
		"com.sun.star.xml.sax.XAttributeList"                                      , -
		"com.sun.star.xml.sax.XDTDHandler"                                         , -
		"com.sun.star.xml.sax.XDocumentHandler"                                    , -
		"com.sun.star.xml.sax.XEntityResolver"                                     , -
		"com.sun.star.xml.sax.XErrorHandler"                                       , -
		"com.sun.star.xml.sax.XExtendedDocumentHandler"                            , -
		"com.sun.star.xml.sax.XLocator"                                            , -
		"com.sun.star.xml.sax.XParser"                                             , -
		"drafts.com.sun.star.form.XBindableValue"                                  , -
		"drafts.com.sun.star.form.XListEntryListener"                              , -
		"drafts.com.sun.star.form.XListEntrySink"                                  , -
		"drafts.com.sun.star.form.XListEntrySource"                                , -
		"drafts.com.sun.star.form.XValueBinding"                                   , -
   ) -- remove superfluous comma above!

-- maximum fully qualified class-name length: 72, maximum length of class name: 39
-- say l~items "items in list l" /* should be: 953 items */

   return l
